# Input File Description

## Program: turbo_lanczos.x / turboTDDFPT / Quantum ESPRESSO (version: 7.2)

> ### TABLE OF CONTENTS

> > INTRODUCTION

> > &LR_INPUT

> > > prefix | outdir | wfcdir | restart | restart_step | lr_verbosity | disk_io

> > &LR_CONTROL

> > > itermax | ipol | n_ipol | ltammd | no_hxc | lrpa | scissor | charge_response | pseudo_hermitian | d0psi_rs | lshift_d0psi

> > &LR_POST

> > > omeg | epsil | beta_gamma_z_prefix | w_T_npol | plot_type

> ### INTRODUCTION

> >         Input data format: { } = optional, [ ] = it depends.

> >     All quantities whose dimensions are not explicitly specified are in
> >     RYDBERG ATOMIC UNITS

> >     BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

> >     Comment lines in namelists can be introduced by a "!", exactly as in
> >     fortran code. Comments lines in ``cards'' can be introduced by
> >     either a "!" or a "#" character in the first position of a line.

> >     Structure of the input data:
> >     ===============================================================================

> >     &LR_INPUT
> >       ...
> >     /

> >     &LR_CONTROL
> >       ...
> >     /

> >     [ &LR_POST
> >       ...
> >      / ]

## Namelist: &LR_INPUT

This namelist is always needed !

prefix | CHARACTER
Default: | 'pwscf'

>     Sets the prefix for generated and read files. The files
>     generated by the ground state pw.x run should have this
>     same prefix.

[Back to Top]

outdir | CHARACTER
Default: | './'

>     The directory that contains the run critical files, which
>     include the files generated by ground state pw.x run.

[Back to Top]

wfcdir | CHARACTER
Default: | './'

>     The directory that contains the run critical files, which
>     include the files generated by ground state pw.x run.

[Back to Top]

restart | LOGICAL
Default: | .false.

>     When set to .true., turbo_lanczos.x will attempt to restart
>     from a previous interrupted calculation. (see restart_step
>     variable).

>     Beware, if set to .false. turbo_lanczos.x will OVERWRITE any
>     previous runs.

[Back to Top]

restart_step | INTEGER
Default: | itermax

>     The code writes restart files every restart_step iterations.
>     Restart files are automatically written at the end of
>     itermax Lanczos steps.

[Back to Top]

lr_verbosity | INTEGER
Default: | 1

>     This integer variable controls the amount of information
>     written to standard output.

[Back to Top]

disk_io | CHARACTER
Default: | 'default'

>         Fine control of disk usage. Currently only 'reduced' is
>     supported where no restart files are written, apart from
>     the 'default' mode.

[Back to Top]

## Namelist: &LR_CONTROL

itermax | INTEGER
Default: | 500

>     Number of Lanczos iterations to be performed.

[Back to Top]

ipol | INTEGER
Default: | 1

>     An integer variable that determines which element of the
>     dynamical polarizability will be computed:
>     1 -> alpha_xx(omega), 2 -> alpha_yy(omega), and
>     3 -> alpha_zz(omega). When set to 4, three Lanczos chains
>     are sequentially performed and the full polarizability
>     tensor and the absorption coefficient are computed.

[Back to Top]

n_ipol | INTEGER
Default: | 1 if ipol < 4; 3 if ipol=4

>         Determines the number of zeta coefficients to be calculated
>     for a given polarization direction.

[Back to Top]

ltammd | LOGICAL
Default: | .false.

>     When set to .true. the Tamm-Dancoff approximation is used
>     in constructing the Liouvillian.

[Back to Top]

no_hxc | LOGICAL
Default: | .false.

>     When set to .true. the change in the internal field
>     (Hartree and exchange-correlation) is ignored in the
>     calculation, resulting in the independent electron
>     approximation.

[Back to Top]

lrpa | LOGICAL
Default: | .false.

>     When set to .true. the Random Phase Approximation
>     is used (no exchange and correlation).

[Back to Top]

scissor | REAL
Default: | 0.0

>     Scissor shift (in Rydberg units).

[Back to Top]

charge_response | INTEGER
Default: | 0

>     When set to 1, the code computes the response of the charge
>     density and writes it into a file format determined by the
>     variable plot type. Setting charge response to 1 makes the
>     presence of the card lr post mandatory.

[Back to Top]

pseudo_hermitian | LOGICAL
Default: | .true.

>     When set to .true. the pseudo-Hermitian Lanczos
>     algorithm is used. When set to .false. the
>     non-Hermitian Lanczos biorthogonalization algorithm
>     is used (which is two times slower).

[Back to Top]

d0psi_rs | LOGICAL
Default: | .false.

>     When set to .true. the dipole is computed in the
>     real space. When set to .false. the dipole is
>     computed in the reciprocal space by computing [H,r].
>     Note, currently the commutator does not contain
>     a contribution for hybrids [V_EXX,r]. See also
>     the variable lshift_d0psi.
>     Important: Treatment of the dipole in the real space
>     is allowed only if the system is finite.

[Back to Top]

lshift_d0psi | LOGICAL
Default: | .true.

>     This variable is used only when d0psi_rs = .true.
>     a) If a molecule is placed in the corner of the
>     supercell, there is a discontinuity problem for the
>     position operator r, which is not periodic. By setting
>     lshift_d0psi=.true. the discontinuity problem is
>     solved by shifting the position operator r such that
>     it is continuous and well defined.
>     b) If a molecule is placed in the center of the supercell,
>     there is no discontinuity problem for the position operator r,
>     and thus you can set lshift_d0psi=.false. But if you still
>     set it to .true., this will not harm, because the position
>     operator will basically remain as it is, since it is always
>     centered wrt the center of the molecule.

[Back to Top]

## Namelist: &LR_POST

omeg | REAL
Default: | 0.0

>         The response of the charge density is calculated for this
>     transition energy (in Rydberg units)

[Back to Top]

epsil | REAL
Default: | 0.02

>     The broadening/damping term (in Rydberg units).

[Back to Top]

beta_gamma_z_prefix | CHARACTER
Default: | 'pwscf'

>     The prefix of the file where the beta gamma zeta coefficients
>     from the first calculation can be set manually using this
>     parameter. The file outdir/beta gamma z prefix.beta gamma z.x
>     (where x=1-3) must exist.

[Back to Top]

w_T_npol | INTEGER
Default: | 1

>     Number of polarization directions considered in the previous
>     calculation. It must be set to 3 if in the previous calculation
>      ipol=4, it must be set to 1 otherwise.

[Back to Top]

plot_type | INTEGER
Default: | 1

>         An integer variable that determines the format of the file
>     containing the charge density response. 1: A file containing
>     the x y z grid coordinates and the corre- sponding value of
>     the density is produced 2: The density response is written
>     in Xcrysden format 3: The density response is written in
>     the gaussian cube format.

[Back to Top]

This file has been created by helpdoc utility on Sat Mar 18 15:45:37 CET 2023.